Bug 213697 - kile: aspell component. It is broken (utf-8) after updating to kde-3.5.5
kile: aspell component. It is broken (utf-8) after updating to kde-3.5.5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kile (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 11:58 EST by Luis
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.9.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 15:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis 2006-11-02 11:58:50 EST
Description of problem:

After the recent update of kde to 3.5.5 the aspell component is broken in kile
for non english languages.
It does not recognise utf-8 characters such as ñ á è.
Moreover, the words suggested for these languages are visualized wrong if they
contains such characters. 
I have proved with texts in utf-8 and in ISO-8859-1 Everything works correctly
but aspell.

If I use kate, then I have no problems with the same utf-8 file. Aspell works
well. The same problem happens with the text in ISO-8859-1 but this is expected
as aspell is supposed to work with utf-8.
Also aspell from a terminal against the same utf-8 file works perfectly.

So, it seems that kile is trying to contact aspell in iso-8859-1

Version-Release number of selected component (if applicable):
kile-1.9.2-1.fc5

How reproducible:
Always

Steps to Reproduce:
1. Write an utf-8 text with some accents: Ej "ès un problemón"
2. Run the aspell corrector
  
Actual results:
The words with non ascii-7 characters are recognized wrong. The sugested words
with accents are visualized wrong.

Expected results:
The words should be recognized and visualiced correctly.
Comment 1 Rex Dieter 2006-12-05 15:32:21 EST
kile-1.9.3-1 is now available from Extras.

If this update doesn't address your issue, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.